# ServerHTTPFirewallDailyStatService
> WAF统计

---

## composeServerHTTPFirewallDashboard
> 组合服务的Dashboard

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/ServerHTTPFirewallDailyStatService/composeServerHTTPFirewallDashboard`
- RPC：`rpc composeServerHTTPFirewallDashboard (ComposeServerHTTPFirewallDashboardRequest) returns (ComposeServerHTTPFirewallDashboardResponse);`

**请求对象 (`ComposeServerHTTPFirewallDashboardRequest`)**

```json
{
  "day": "string",
  "userId": "int64 // 用户ID",
  "serverId": "int64 // 服务ID（网站ID）"
}
```

**响应对象 (`ComposeServerHTTPFirewallDashboardResponse`)**

```json
{
  "countDailyLog": "int64",
  "countDailyBlock": "int64",
  "countDailyCaptcha": "int64",
  "countWeeklyBlock": "int64",
  "countMonthlyBlock": "int64",
  "httpFirewallRuleGroups": "[]HTTPFirewallRuleGroupStat",
  "logDailyStats": "[]DailyStat",
  "blockDailyStats": "[]DailyStat",
  "captchaDailyStats": "[]DailyStat",
  "httpFirewallRuleGroup": "HTTPFirewallRuleGroup",
  "count": "int64 // 数量",
  "day": "string"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/ServerHTTPFirewallDailyStatService/composeServerHTTPFirewallDashboard" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
